Bulk export matter log entries for audits, visibility, and eval pipelines. Supports json, csv, tsv, and jsonl. Limited to 10,000 entries per request.
curl --request POST \
--url https://api.case.dev/matters/v1/{id}/log/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "<string>",
"event_type": "<string>",
"work_item_id": "<string>",
"actor_type": "<string>",
"actor_id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"format": "json"
}
'{
"data": [
{}
]
}API key starting with sk_case_
Filter by scope: matter, work_item, execution, sharing, all
Filter by exact event type
Filter by work item ID
Filter by actor type
Filter by actor ID
Start of time range (ISO 8601)
End of time range (ISO 8601)
Export format. Defaults to jsonl.
json, jsonl, csv, tsv Exported matter log entries
Was this page helpful?
curl --request POST \
--url https://api.case.dev/matters/v1/{id}/log/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "<string>",
"event_type": "<string>",
"work_item_id": "<string>",
"actor_type": "<string>",
"actor_id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"format": "json"
}
'{
"data": [
{}
]
}